summaryrefslogtreecommitdiff
path: root/extra/cups-pdf
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/cups-pdf
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/cups-pdf')
-rw-r--r--extra/cups-pdf/PKGBUILD31
-rw-r--r--extra/cups-pdf/cups-pdf.install20
2 files changed, 51 insertions, 0 deletions
diff --git a/extra/cups-pdf/PKGBUILD b/extra/cups-pdf/PKGBUILD
new file mode 100644
index 000000000..c613ca4e3
--- /dev/null
+++ b/extra/cups-pdf/PKGBUILD
@@ -0,0 +1,31 @@
+# $Id: PKGBUILD 30278 2009-03-18 07:31:03Z andyrtr $
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Contributor: Thomas Baechler <thomas.baechler@rwth-aachen.de>
+
+pkgname=cups-pdf
+pkgver=2.5.0
+pkgrel=1
+pkgdesc="PDF printer for cups"
+arch=(i686 x86_64)
+depends=('cups' 'ghostscript')
+install=cups-pdf.install
+url="http://cip.physik.uni-wuerzburg.de/~vrbehr/cups-pdf"
+license=('GPL2')
+source=(http://cip.physik.uni-wuerzburg.de/~vrbehr/cups-pdf/src/cups-pdf_$pkgver.tar.gz)
+backup=(etc/cups/cups-pdf.conf)
+md5sums=('9194af099a8c0e9aa213505b29ec6818')
+
+build() {
+ # Build and install
+ cd $srcdir/$pkgname-$pkgver/src
+ [ -z "$CC" ] && CC=gcc
+ $CC $CFLAGS -Wall -o cups-pdf cups-pdf.c || return 1
+ install -D -m700 cups-pdf $pkgdir/usr/lib/cups/backend/cups-pdf || return 1
+
+ # Install Postscript Color printer
+ cd ../extra
+ install -D -m644 CUPS-PDF.ppd $pkgdir/usr/share/cups/model/CUPS-PDF.ppd || return 1
+
+ # Install config file
+ install -D -m644 cups-pdf.conf $startdir/pkg/etc/cups/cups-pdf.conf || return 1
+}
diff --git a/extra/cups-pdf/cups-pdf.install b/extra/cups-pdf/cups-pdf.install
new file mode 100644
index 000000000..0ef82189a
--- /dev/null
+++ b/extra/cups-pdf/cups-pdf.install
@@ -0,0 +1,20 @@
+post_install() {
+ cat << "EOF"
+-------------------------------------------------
+To use cups-pdf, restart cups and visit the cups
+web interface at http://localhost:631/
+
+You can now add a "Virtual Printer (PDF Printer)"
+and use the Postscript/Generic postscript color
+printer driver.
+
+Note that cups-pdf has a configuration
+file in /etc/cups. The default location for
+pdf output is /var/spool/cups-pdf/$username.
+-------------------------------------------------
+EOF
+}
+
+op=$1
+shift
+$op $*